> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/set-rdmentryprivatekey.md).

# Set-RDMEntryPrivateKey

Set-RDMEntryPrivateKey définit les clés publique et privée sur une entrée d'identifiants SSH Remote Desktop Manager.

### Synopsis

Définir les clés publique et privée dans une entrée

### Syntaxe

#### \_\_AllParameterSets

```
Set-RDMEntryPrivateKey [-Key] <PSSSHKey> -InputObject <PSConnection> [-PassThru] [-Set]
 [-VaultMode <VaultMode>] [-ForcePromptAnswer <DialogResult[]>] [-WhatIf] [-Confirm]
 [<CommonParameters>]
```

### Description

Définir les clés publique et privée d'une entrée. Le paramètre Key doit être généré au moyen de l'applet de commande New-RDMSshKey. Le paramètre InputObject accepte l'ID de l'entrée ou un objet entrée retourné par l'applet de commande Get-RDMEntry. Pour utiliser cette applet de commande, l'utilisateur doit avoir la permission de modifier l'entrée ou d'en ajouter une nouvelle. Seuls les identifiants PrivateKey sont pris en charge.

### Exemples

#### Exemple 1

```powershell
PS C:\> $entryId = '12345678-1234-1234-1234-123412345678'
PS C:\> $newKey = New-RDMSshKey -Algorithm RSA -Format PKCS1 -Size 2048
PS C:\> Set-RDMEntryPrivateKey -Key $newKey -InputObject $entryId -Set
```

Changer les clés publique et privée et rendre privée une entrée d'identifiants SSH existante

#### Exemple 2

```powershell
PS C:\> $newKey = New-RDMSshKey -Algorithm RSA -Format PKCS1 -Size 2048
PS C:\> $entry = New-RDMEntry -Name 'MyNewEntry' -Type Credential
PS C:\> $entry.Credentials.CredentialType = 'PrivateKey'
PS C:\> Set-RDMEntryPrivateKey -Key $newKey -InputObject $entry -Set
```

Enregistrer une nouvelle entrée d'identifiants SSH avec les clés publique et privée générées

### Paramètres

#### -Confirm

Demande une confirmation avant d'exécuter l'applet de commande.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ForcePromptAnswer

Commutateur à utiliser avec prudence. Il répondra automatiquement aux invites posant des questions oui/non, oui/non/annuler ou ok/annuler. En cas d'invites multiples, plusieurs valeurs peuvent être passées à ce paramètre. Voici les valeurs acceptées :

* Yes : Accepter l'invite. Couvre les valeurs OK et Automatic.
* No : Refuser l'invite oui/non/annuler. « Cancel » est l'option de repli s'il n'y a pas d'option « No ».
* Cancel : Annuler l'invite oui/non/annuler. « No » est l'option de repli s'il n'y a pas d'option « Cancel ».

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Entrée sur laquelle définir les clés publique et privée.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Key

Objet de clé obtenu de New-RDMSshKey

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSSSHKey
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -PassThru

Permet à l'applet de commande de retourner les objets qu'elle a traités, ce qui est utile pour un traitement ultérieur dans le pipeline ou pour inspection.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Set

Enregistrer l'entrée modifiée

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -VaultMode

Coffre dans lequel la commande sera appliquée. Trois choix sont offerts : - Default : Coffre actuel qui a été défini. - User : Coffre spécifique à l'utilisateur actuel. - Global : Coffre global de l'espace de travail.

```yaml
Type: Devolutions.RemoteDesktopManager.VaultMode
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Montre ce qui se passerait si l'applet de commande était exécutée. L'applet de commande n'est pas exécutée.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette applet de commande prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'informations, consultez [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Entrées

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection

Entrée à modifier. Soit spécifiée par son ID, soit obtenue de Get-RDMEntry.

### Sorties

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection

Objet PSConnection retourné lorsque PassThru est utilisé

### Notes

Pour plus d'information, tapez « Get-Help Set-RDMEntryPrivateKey -detailed ». Pour de l'information technique, tapez « Get-Help Set-RDMEntryPrivateKey -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/set-rdmentryprivatekey.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
